Wednesday, October 21, 2015

QupZilla 1.8.8 released!

Eightht bugfix version is now available.
  • added interface for extensions to show action in Tools menu
  • add option to use TabManager as main tabbar replacement
  • fix build with Qt 5.5.1
  • fix crash when unloading plugin with visible sidebar
  • fix possible crash when accessing last active window
  • fix sometimes incorrectly loading background non-restored tab
  • fix showing speed dials in bookmarks icon
  • fix showing messages in statusbar in RTL mode
  • fix crash when application style is externally changed
  • fix labels color in access keys navigation with dark style
  • fix position of autoscroll indicator with site notification visible
  • Windows: fix setting as default browser
  • Windows: better toolbar background for Windows 10

Download: source code (at github.com)

Windows builds are now using Qt 5 (5.5.1). It brings a lot of fixes for bugs and crashes and also support for HTML5 Audio/Video (only Windows Vista+).
Because of different libraries, I recommend you to first uninstall old version of QupZilla and only then install this new version. You won't lose your profile data with uninstallation.

Ubuntu packages (from ppa:nowrep/qupzilla) are now also using Qt 5.

13 comments:

  1. HTML5 support :O Great!!!

    ReplyDelete
  2. can qupzilla team make on the window border?

    ReplyDelete
  3. Did this release do away with the button on the tab bar that displays a drop-down list and how many total tabs are open in the current window? I rather enjoyed that feature.

    ReplyDelete
  4. Why is the mouse cursor changed in linux with release 1.8.8?
    When I hover over a hyperlink I now see the black hand which I don't like, why is this changed and how to change it back? I fixed it partly with a .css but this is not satisfying enough so any help would be appreciated.

    ReplyDelete
  5. Turns out be a bug in qt5, anybody knows how to fix this in qt?

    ReplyDelete
  6. As far as Qt5 use Webkit 538.1 and Webkit 600.8 landed

    ReplyDelete
  7. It's not working properly in my case. The pdf files won't open and Youtube videos always displey an error message. I have re-intalled the previous version.

    ReplyDelete
  8. Not working on Debian Jessie (Stable). I get the following error when I attempt to run qupzilla from terminal:

    error while loading shared libraries: libQt5X11Extras.so.5: cannot open shared object file : No such file or directory

    ReplyDelete
  9. You have to install the package libQt5X11Extras, then it will run. Its not listed in the dependencies. I'm using the deb package on Ubuntu utopic, since there is no package in the ppa. Spell checking is not working properly, no underlining of wrong words. Crashes from time to time.

    ReplyDelete
    Replies
    1. Thank you. The package is a dependency and installed when installing Qupzilla v1.8.9. Thank you Dave for the fix.

      Delete
  10. 1.8.8 and Qt 5.5.1 (Mate Desktop, Kernel 4.3)
    FullScreen button doesn't work for me with HTML5 video player (e.g. videojs.com) or youtube.
    I can watch HTML5-video in window-mode only.
    No any video-issues with Chromium on the same machine.

    ReplyDelete
  11. Do you plan to release GTK2 or GTK3 version?
    I don't see any benefits of using Qt-browser under Linux... just crashes and various issues...

    ReplyDelete
  12. If you find it difficult to write a career goals essay, just consult this source.

    ReplyDelete